Subject: bug#31205: 26.1; Some text commands don't work properly in customize buffers

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 17 Sep 2019 01:14:29 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> I'm also seeing this, and your patch fixes the problem here, too.  But:
>
> -      (custom-magic-reset widget)
> +      (run-with-idle-timer 0.0 nil #'custom-magic-reset widget)
>
> I wonder if anybody more familiar with the custom machinery can weigh in
> and say whether this looks safe...

Nobody had any comments, but I kinda think that this is the right
solution after all -- the buffer can't be updated before the editing
command has done its job.  Perhaps Widget should be working on
post-command-hook instead of pre-?

But I've applied the patch with some comments.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no